Bug 735400 - Wrong Driver Recommended for Printer EPSON Stylus C92 Causes Printing to Fail (prints blank pages)
Summary: Wrong Driver Recommended for Printer EPSON Stylus C92 Causes Printing to Fail...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 15:04 UTC by fzagarzazu
Modified: 2012-01-11 06:11 UTC (History)
2 users (show)

Fixed In Version: gutenprint-5.2.7-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 06:11:09 UTC


Attachments (Terms of Use)
lpinfo -l -v (1.22 KB, text/plain)
2011-09-08 00:37 UTC, fzagarzazu
no flags Details

Description fzagarzazu 2011-09-02 15:04:51 UTC
Description of problem:
Wrong Driver Recommended for Printer EPSON Stylus C92 Causes Printing to Fail (prints blank pages)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure Printer following the screen the recommended C88 driver (since no driver for C92 exists)
2. Print Test Page
3.
  
Actual results:
Prints blank pages until stopped

Expected results:
CUPS Printer Test Page

Additional info:
I initially had problems configuring the printer via Gnome 3 System Settings, it was recognized but not added. I was able to add the printer after installing the libgnomecups package, but the print test page failed as described above.

The solution was changing the recommended driver(C88) to the driver C68 in Applications > Printers : right click printer : select Properties : Change Driver : Select C68

Source: 1. “Driver de la impresora epson stylus C92 (Solucionado) | Ubuntu-es,” http://www.ubuntu-es.org/node/64878.

Comment 1 Jiri Popelka 2011-09-07 14:07:29 UTC
What does the following command show (when the printer is on) ?
 su -c "lpinfo -l -v"

Comment 2 fzagarzazu 2011-09-08 00:37:55 UTC
Created attachment 522029 [details]
lpinfo -l -v

Output of command: lpinfo -l -v

Comment 3 Tim Waugh 2011-09-12 15:13:29 UTC
The driver that's getting assigned is a "close" match, which isn't always guaranteed to give good (or any) results.

Not associated with any driver packages:
  $ /usr/share/system-config-printer/check-device-ids.py 'EPSON Stylus C92' 'MFG:EPSON;CMD:ESCPL2,BDC,D4,D4PX;MDL:Stylus C92;CLS:PRINTER;DES:EPSON Stylus C92;'
Installing relevant drivers using session service
Fetching driver list
└── EPSON Stylus C92 (user-specified): MFG:EPSON;MDL:Stylus C92;CMD:ESCPL2,BDC,D4,D4PX;
    (No drivers)

Preferred driver list chooses gutenprint.5.2://escp2-c88/simple:

>>> cupshelpers.xmldriverprefs.test(deviceid='MFG:EPSON;CMD:ESCPL2,BDC,D4,D4PX;MDL:Stylus C92;CLS:PRINTER;DES:EPSON Stylus C92;')
No ID match for device xxx://yyy:
MFG:EPSON;MDL:Stylus C92;CMD:ESCPL2,BDC,D4,D4PX;DES:EPSON Stylus C92;
1  gutenprint.5.2://escp2-c88/simple
    (gutenprint-simplified, close)
2  gutenprint.5.2://escp2-c88/expert
    (gutenprint-expert, close)
3  foomatic:Generic-ESC_P_Dot_Matrix_Printer-epson.ppd
    (generic-foomatic-recommended, generic)
4  foomatic:Generic-ESC_P_Dot_Matrix_Printer-epsonc.ppd
    (generic-escp, generic)
5  foomatic:Generic-ESC_P_Dot_Matrix_Printer-lq850.ppd
    (generic-escp, generic)
6  foomatic:Generic-ESC_P_Dot_Matrix_Printer-eps9mid.ppd
    (generic-escp, generic)
7  foomatic:Generic-ESC_P_Dot_Matrix_Printer-eps9high.ppd
    (generic-escp, generic)

The model number is fairly close so it was a reasonable guess.

I think the solution is to modify gutenprint so that it provides a "Stylus C92" driver identical to the Stylus C68 driver.

Comment 4 Fedora Update System 2011-10-11 13:58:05 UTC
gutenprint-5.2.7-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc16

Comment 5 Fedora Update System 2011-11-03 13:11:04 UTC
gutenprint-5.2.7-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc15

Comment 6 Fedora Update System 2011-11-03 13:23:28 UTC
gutenprint-5.2.7-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gutenprint-5.2.7-7.fc14

Comment 7 Fedora Update System 2011-11-04 20:25:55 UTC
Package gutenprint-5.2.7-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gutenprint-5.2.7-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15367
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-11-05 01:21:13 UTC
gutenprint-5.2.7-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-01-11 06:11:09 UTC
gutenprint-5.2.7-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.